org.apache.ignite.cache.store.cassandra.persistence

## Class PojoKeyField

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.persistence.PojoField
  - - org.apache.ignite.cache.store.cassandra.persistence.PojoKeyField

- All Implemented Interfaces:
    Serializable

      public class PojoKeyField
      extends PojoField

  Descriptor for Ignite key POJO class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PojoKeyField.SortOrder` Specifies sort order for POJO key field

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoKeyField(Element el, Class pojoCls)` Constructs Ignite cache key POJO object descriptor.
    `PojoKeyField(PojoFieldAccessor accessor)` Constructs Ignite cache key POJO object descriptor.
    `PojoKeyField(PojoKeyField field, Class<?> pojoCls)` Constructs instance of `PojoKeyField` based on the other instance and java class to initialize accessor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PojoKeyField.SortOrder` | `getSortOrder()` Returns sort order for the field.

    - ### Methods inherited from class org.apache.ignite.cache.store.cassandra.persistence.PojoField

      `calculatedField, containsField, getAnnotation, getColumn, getColumnDDL, getJavaClass, getName, getValueFromObject, setValueFromRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoKeyField

          public PojoKeyField(Element el,
                              Class pojoCls)

      Constructs Ignite cache key POJO object descriptor.
      Parameters:
        `el` - xml configuration element.
        `pojoCls` - java class of key POJO field.

    - #### PojoKeyField

          public PojoKeyField(PojoKeyField field,
                              Class<?> pojoCls)

      Constructs instance of `PojoKeyField` based on the other instance and java class to initialize accessor.
      Parameters:
        `field` - PojoKeyField instance
        `pojoCls` - java class of the corresponding POJO

    - #### PojoKeyField

          public PojoKeyField(PojoFieldAccessor accessor)

      Constructs Ignite cache key POJO object descriptor.
      Parameters:
        `accessor` - property descriptor.

  - ### Method Detail

    - #### getSortOrder

          public PojoKeyField.SortOrder getSortOrder()

      Returns sort order for the field.
      Returns:
        sort order.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020